libetonyek::KEYDictionary Struct Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libetonyek::KEYDictionary Struct Reference

A dictionary of all referenceable entities in the presentation. More...

`#include <KEYDictionary.h>`

## Public Member Functions
| KEYDictionary ()

## Public Attributes
KEYCharacterStyleMap_t | characterStyles
KEYGraphicStyleMap_t | graphicStyles
KEYLayoutStyleMap_t | layoutStyles
KEYParagraphStyleMap_t | paragraphStyles
KEYPlaceholderStyleMap_t | placeholderStyles
KEYStylesheetMap_t | stylesheets
KEYPathMap_t | beziers
KEYDataMap_t | data
KEYMediaContentMap_t | unfiltereds
KEYMediaContentMap_t | filteredImages
KEYImageMap_t | images
KEYPlaceholderMap_t | bodyPlaceholders
KEYPlaceholderMap_t | titlePlaceholders

## Detailed Description

A dictionary of all referenceable entities in the presentation.

In other words, all entities that might be included through a -ref element in the format. This is purely a file format concept; all that matters when an entity is inserted by a reference is that there has been an entity of the same type and with the same content inserted previously (or at least that is how I understand it. I might be wrong about it). That means we need to know all entities in the whole presentation to resolve references.

Note
  The dictionary contains (among other things) all master styles, therefore we do not handle them separately. (We might do that in the future, to ensure correctness of the format.)

## Constructor & Destructor Documentation

libetonyek::KEYDictionary::KEYDictionary | ( |  | ) |

## Member Data Documentation

KEYPathMap_t libetonyek::KEYDictionary::beziers

Referenced by libetonyek::KEYCollectorBase::collectBezier().

KEYPlaceholderMap_t libetonyek::KEYDictionary::bodyPlaceholders

Referenced by libetonyek::KEYCollectorBase::collectTextPlaceholder().

KEYCharacterStyleMap_t libetonyek::KEYDictionary::characterStyles

Referenced by libetonyek::KEYCollectorBase::collectCharacterStyle(), and libetonyek::KEYCollectorBase::collectText().

KEYDataMap_t libetonyek::KEYDictionary::data

Referenced by libetonyek::KEYCollectorBase::collectData().

KEYMediaContentMap_t libetonyek::KEYDictionary::filteredImages

Referenced by libetonyek::KEYCollectorBase::collectFilteredImage().

KEYGraphicStyleMap_t libetonyek::KEYDictionary::graphicStyles

Referenced by libetonyek::KEYCollectorBase::collectGraphicStyle().

KEYImageMap_t libetonyek::KEYDictionary::images

Referenced by libetonyek::KEYCollectorBase::collectImage().

KEYLayoutStyleMap_t libetonyek::KEYDictionary::layoutStyles

Referenced by libetonyek::KEYCollectorBase::collectLayoutStyle().

KEYParagraphStyleMap_t libetonyek::KEYDictionary::paragraphStyles

Referenced by libetonyek::KEYCollectorBase::collectParagraphStyle(), and libetonyek::KEYCollectorBase::startParagraph().

KEYPlaceholderStyleMap_t libetonyek::KEYDictionary::placeholderStyles

Referenced by libetonyek::KEYCollectorBase::collectPlaceholderStyle().

KEYStylesheetMap_t libetonyek::KEYDictionary::stylesheets

Referenced by libetonyek::KEYCollectorBase::collectStylesheet().

KEYPlaceholderMap_t libetonyek::KEYDictionary::titlePlaceholders

Referenced by libetonyek::KEYCollectorBase::collectTextPlaceholder().

KEYMediaContentMap_t libetonyek::KEYDictionary::unfiltereds

Referenced by libetonyek::KEYCollectorBase::collectUnfiltered().

The documentation for this struct was generated from the following files:

- KEYDictionary.h
- KEYDictionary.cpp